'From Cuis 1.0 of 21 May 2009 [latest update: #204] on 18 June 2009 at 7:37:52 pm'!
"Change Set:		nilMNU-bf
Date:			17 June 2009
Author:			Bert Freudenberg

If the receiver in a MessageNotUnderstood exception is nil, use a more informative description"!


!MessageNotUnderstood methodsFor: 'exceptionBuilder' stamp: 'jmv 6/18/2009 19:37'!
messageText
	"Return an exception's message text."
	
	^messageText == nil
		ifTrue:
			[message == nil
				ifTrue: [super messageText]
				ifFalse: [
					message lookupClass == UndefinedObject
						ifTrue: ['receiver of #{1} is nil' translated format: {message selector}]
						ifFalse: [message lookupClass printString, '>>', message selector asString]]]
		ifFalse: [messageText]! !

